Show / Hide Table of Contents

# Class PartyFinderListing

##### Inheritance

System.Object
PartyFinderListing

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal.Gui.Structs

###### Assembly: Dalamud.dll

##### Syntax

    public class PartyFinderListing

### Properties

| Improve this Doc View Source

#### BeginnersWelcome

If this listing is beginner-friendly. Shown with a sprout icon in-game.

##### Declaration

    public bool BeginnersWelcome { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Category

The Party Finder category this listing is listed under.

##### Declaration

    public Category Category { get; }

##### Property Value

Type | Description
--- | ---
Category |

| Improve this Doc View Source

#### Conditions

The conditions of this listing.

##### Declaration

    public ConditionFlags Conditions { get; }

##### Property Value

Type | Description
--- | ---
ConditionFlags |

| Improve this Doc View Source

#### CurrentWorld

The current world of the listing's host.

##### Declaration

    public Lazy<World> CurrentWorld { get; }

##### Property Value

Type | Description
--- | ---
System.Lazy<Lumina.Excel.GeneratedSheets.World> |

| Improve this Doc View Source

#### Description

The description of this listing as set by the host. May be multiple lines.

##### Declaration

    public SeString Description { get; }

##### Property Value

Type | Description
--- | ---
SeString |

| Improve this Doc View Source

#### Duty

The duty this listing is for. May be null for non-duty listings.

##### Declaration

    public Lazy<ContentFinderCondition> Duty { get; }

##### Property Value

Type | Description
--- | ---
System.Lazy<Lumina.Excel.GeneratedSheets.ContentFinderCondition> |

| Improve this Doc View Source

#### DutyFinderSettings

The Duty Finder settings that will be used for this listing.

##### Declaration

    public DutyFinderSettingsFlags DutyFinderSettings { get; }

##### Property Value

Type | Description
--- | ---
DutyFinderSettingsFlags |

| Improve this Doc View Source

#### DutyType

The type of duty this listing is for.

##### Declaration

    public DutyType DutyType { get; }

##### Property Value

Type | Description
--- | ---
DutyType |

| Improve this Doc View Source

#### HomeWorld

The home world of the listing's host.

##### Declaration

    public Lazy<World> HomeWorld { get; }

##### Property Value

Type | Description
--- | ---
System.Lazy<Lumina.Excel.GeneratedSheets.World> |

| Improve this Doc View Source

#### Id

The ID assigned to this listing by the game's server.

##### Declaration

    public uint Id { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Item[ConditionFlags]

##### Declaration

    public bool this[ConditionFlags flag] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
ConditionFlags | flag |

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Item[DutyFinderSettingsFlags]

##### Declaration

    public bool this[DutyFinderSettingsFlags flag] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
DutyFinderSettingsFlags | flag |

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Item[LootRuleFlags]

##### Declaration

    public bool this[LootRuleFlags flag] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
LootRuleFlags | flag |

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Item[ObjectiveFlags]

##### Declaration

    public bool this[ObjectiveFlags flag] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
ObjectiveFlags | flag |

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Item[SearchAreaFlags]

##### Declaration

    public bool this[SearchAreaFlags flag] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
SearchAreaFlags | flag |

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### JobsPresent

A list of the classes/jobs that are currently present in the party.

##### Declaration

    public IReadOnlyCollection<Lazy<ClassJob>> JobsPresent { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<System.Lazy<Lumina.Excel.GeneratedSheets.ClassJob>> |

| Improve this Doc View Source

#### LootRules

The loot rules that will be used for this listing.

##### Declaration

    public LootRuleFlags LootRules { get; }

##### Property Value

Type | Description
--- | ---
LootRuleFlags |

| Improve this Doc View Source

#### MinimumItemLevel

The minimum item level required to join this listing.

##### Declaration

    public ushort MinimumItemLevel { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Name

The name of the player hosting this listing.

##### Declaration

    public SeString Name { get; }

##### Property Value

Type | Description
--- | ---
SeString |

| Improve this Doc View Source

#### Objective

The objective of this listing.

##### Declaration

    public ObjectiveFlags Objective { get; }

##### Property Value

Type | Description
--- | ---
ObjectiveFlags |

| Improve this Doc View Source

#### Parties

The number of parties this listing is recruiting for.

##### Declaration

    public byte Parties { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### RawDuty

The row ID of the duty this listing is for. May be 0 for non-duty listings.

##### Declaration

    public ushort RawDuty { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### RawJobsPresent

A list of the class/job IDs that are currently present in the party.

##### Declaration

    public IReadOnlyCollection<byte> RawJobsPresent { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<System.Byte> |

| Improve this Doc View Source

#### SearchArea

Where this listing is searching. Note that this is also used for denoting alliance raid listings and one player per job.

##### Declaration

    public SearchAreaFlags SearchArea { get; }

##### Property Value

Type | Description
--- | ---
SearchAreaFlags |

| Improve this Doc View Source

#### SecondsRemaining

How many seconds this listing will continue to be available for. It may end before this time if the party fills or the host ends it early.

##### Declaration

    public ushort SecondsRemaining { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Slots

A list of player slots that the Party Finder is accepting.

##### Declaration

    public IReadOnlyCollection<PartyFinderSlot> Slots { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<PartyFinderSlot> |

| Improve this Doc View Source

#### SlotsAvailable

The number of player slots this listing is recruiting for.

##### Declaration

    public byte SlotsAvailable { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### World

The world that this listing was created on.

##### Declaration

    public Lazy<World> World { get; }

##### Property Value

Type | Description
--- | ---
System.Lazy<Lumina.Excel.GeneratedSheets.World> |